Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.beans
Class Intranet

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.beans.Intranet

All Implemented Interfaces:
  java.lang.Comparable, XMLSerializable

public class Intranet
extends java.lang.Object
implements java.lang.Comparable, XMLSerializable

Intranet
Classe définissant le comportement d'un intranet
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.3 $
Author:
  Mathieu Larchet

Constructor Summary
`Intranet()` Constructeur

Method Summary
`int` | `compareTo(java.lang.Object o)` Compare deux intranets suivant leur nom Implements Comparable interface
`java.lang.String` | `getFolder()` Retourne le dossier racine
`java.lang.String` | `getId()` Retourne l'identifiant
`java.lang.String` | `getName()` Retourne le nom
`java.lang.String` | `getRessource()` Retourne la ressource
`void` | `setFolder(java.lang.String folder)` Positionne le dossier racine
`void` | `setId(java.lang.String id)` Positionne l'identifiant
`void` | `setName(java.lang.String name)` Positionne le nom
`void` | `setRessource(java.lang.String ressource)` Positionne la ressource
`java.lang.String` | `toXMLString()` La représentation XML de cet objet Implements XMLSerializable interface

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Intranet

    public Intranet()

  Constructeur

Method Detail

### getId

    public java.lang.String getId()

  Retourne l'identifiant

  Returns:
    id L'identifiant

### setId

    public void setId(java.lang.String id)

  Positionne l'identifiant

  Parameters:
    `id` - L'identifiant

### getName

    public java.lang.String getName()

  Retourne le nom

  Returns:
    name Le nom

### setName

    public void setName(java.lang.String name)

  Positionne le nom

  Parameters:
    `name` - Le nom

### getFolder

    public java.lang.String getFolder()

  Retourne le dossier racine

  Returns:
    folder Le dossier racine

### setFolder

    public void setFolder(java.lang.String folder)

  Positionne le dossier racine

  Parameters:
    `folder` - Le dossier racine

### getRessource

    public java.lang.String getRessource()

  Retourne la ressource

  Returns:
    ressource La ressource

### setRessource

    public void setRessource(java.lang.String ressource)

  Positionne la ressource

  Parameters:
    `ressource` - La ressource

### compareTo

    public int compareTo(java.lang.Object o)

  Compare deux intranets suivant leur nom Implements Comparable interface

  Specified by:
    `compareTo` in interface `java.lang.Comparable`
  Parameters:
    `o` - Objet à comparer

### toXMLString

    public java.lang.String toXMLString()

  La représentation XML de cet objet Implements XMLSerializable interface

  Specified by:
    `toXMLString` in interface `XMLSerializable`
  Returns:
    Le flux XML

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD